Bug 447361 - PreferredMode option in monitor section ignored in dual head setup
PreferredMode option in monitor section ignored in dual head setup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 13:19 EDT by David Mansfield
Modified: 2009-07-14 13:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:30:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (569 bytes, text/plain)
2008-06-02 10:39 EDT, David Mansfield
no flags Details
Xorg.0.log from startup with previously attached xorg.conf (41.31 KB, text/plain)
2008-06-02 10:40 EDT, David Mansfield
no flags Details
Xorg.0.log from startup without any xorg.conf present (44.17 KB, text/plain)
2008-06-02 10:43 EDT, David Mansfield
no flags Details

  None (edit)
Description David Mansfield 2008-05-19 13:19:46 EDT
Description of problem:

Trying to configure xrandr 1.2 based setup in xorg.conf is impossible because
one of the two 'PreferredMode' options is being ignored. 

I'm have an ATI Technologies Inc Radeon R350 [Radeon 9800 Pro] rev 0 with the
radeon driver.

I have two monitors attached, 1600x1200 on DVI-0 and 1280x1024 on VGA-0.  If I
don't specify any preferred mode entries, I get 1400x1050 on both (arguably this
is itself a bug since this mode sux on both monitors).

If I specify 'Option "PreferredMode" "1280x1024"' on the 1280x1024, I get
1280x1024 on both monitors.

If I specify 'Option "PreferredMode" "1600x1200"' on the 1600x1200, I get
1600x1200 on the 1600x1200 monitor, and 1680x1050 on the 1280x1024 monitor.

If I specify both lines (each in the correct Monitor subsection), I get
1280x1024 on both monitors. 

It's as though the PreferredMode line from the VGA-0 attached monitor is getting
copied over top of the PreferredMode of the DVI-0 attached monitor.

By using xrandr once X is started I can achieve exactly the configuration I'm
looking for.


Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.i386

How reproducible:

always

Steps to Reproduce:
1.using ATI, configure different "PreferredMode" lines in each different Monitor
subsection, one will be ignored.
2.
3.
  
Actual results:

Xorg server attempts to use same mode on both monitors.


Expected results:

Xorg should obey the preferred mode set expliticly for each monitor separately.


Additional info:
Comment 1 Matěj Cepl 2008-05-30 18:01:25 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 David Mansfield 2008-06-02 10:39:12 EDT
Created attachment 307370 [details]
xorg.conf

this xorg.conf attempts to set 1600x1200 (the native res.) on my 1600x1200 dvi
attached monitor, and 1280x1024 (the native res). on my 1280x1024 VGA attached
monitor.  what I end up with is 1280x1024 on both.

see the next attachment for Xorg.0.log
Comment 3 David Mansfield 2008-06-02 10:40:28 EDT
Created attachment 307371 [details]
Xorg.0.log from startup with previously attached xorg.conf

log file starting X during previously attached xorg.conf file
Comment 4 David Mansfield 2008-06-02 10:43:26 EDT
Created attachment 307373 [details]
Xorg.0.log from startup without any xorg.conf present

here is the log starting up without any log.  this results in a REALLY
UNDESIRABLE screen layout, 1400x1050 on both monitors.	note that 1400x1050
exceeds the viewable area on my 1280x1024 monitor and some of that screen ends
up 'off-screen'.  remember, my monitors are 1600x1200 LCD and 1280x1024 LCD.
Comment 5 Bug Zapper 2009-06-09 21:00:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:30:12 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.